%define	name	monodoc
%define version 1.0.2
%define release 1mdk
%define mono 1.0.2
%define sharpver 0.93

Summary:	MonoDoc contains the documentation for Mono.
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Development/Other
URL:		http://www.go-mono.org/download.html
Source0:	http://www.go-mono.com/archive/%mono/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	gnome-sharp-devel >= %sharpver
BuildRequires:	glade-sharp-devel >= %sharpver
BuildRequires:	ImageMagick
#BuildRequires:	readline-devel
Requires:	gnome-sharp >= %sharpver
Requires:	glade-sharp >= %sharpver


%description
MonoDoc contains the documentation for the Mono class libraries
as well as tools to produce and edit the documentation.


%prep
rm -rf %buildroot

%setup -q
mv browser/ChangeLog browser/ChangeLog.browser
mv browser/TODO browser/TODO.browser

%build

%configure2_5x

# parallel make breaks netdocs.zip
make

%install
rm -rf %buildroot
%makeinstall_std
(
cd %buildroot%_libdir/mono/gtk-sharp
ln -sf ../gac/monodoc/*/*.dll .
)
touch %buildroot%_libdir/monodoc/monodoc.index
#menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="X11" \
	section="Documentation" \
	icon="%name.png" \
	title="Monodoc" \
	longtitle="Monodoc Documentation Browser" \
	startup_notify="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot/%_liconsdir/%name.png
convert -scale 32x32 %buildroot%_datadir/pixmaps/%name.png %buildroot%{_iconsdir}/%name.png
convert -scale 16x16 %buildroot%_datadir/pixmaps/%name.png %buildroot%{_miconsdir}/%name.png

%post
%update_menus
touch %_libdir/monodoc/monodoc.index
%_bindir/monodoc --make-index > /dev/null

%postun
%clean_menus


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README 
%doc browser/ChangeLog.browser browser/TODO.browser
%_bindir/*
%_datadir/applications/monodoc.desktop
%_datadir/pixmaps/monodoc.png
%dir %_libdir/monodoc
%_libdir/monodoc/*.exe
%_libdir/monodoc/monodoc.xml
%_libdir/monodoc/sources
%_libdir/mono/gac/monodoc
%_libdir/mono/gtk-sharp/monodoc.dll
%_libdir/pkgconfig/monodoc.pc
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%ghost %_libdir/monodoc/monodoc.index

%changelog
* Tue Sep 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- New release 1.0.2

* Wed Aug 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- fix gac symlinks
- new version

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- rebuild for new rpm

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- new version

* Mon Jun 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.16-3mdk
- fix group

* Sat Jun  5 2004 Marcel Pol <mpol@mandrake.org 0.16-2mdk
- update (build)requires

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.16-1mdk
- requires new gtk-sharp
- new version

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15-2mdk
- rebuild

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.15-1mdk
- fix file section
- requires new gtk#
- new version

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-2mdk
- generate index in post script

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-1mdk
- make short-circuit compatible
- add menu entry
- add new files to the package
- fix configure call
- fix source URL
- new version

* Mon Feb 16 2004 Marcel Pol <mpol@mandrake.org> 0.10-1mdk
- 0.10

* Mon Feb 09 2004 Marcel Pol <mpol@mandrake.org> 0.9-2mdk
- remove redundant (build)requires

* Fri Jan 16 2004 Marcel Pol <mpol@mandrake.org> 0.9-1mdk
- 0.9

* Mon Dec 29 2003 Marcel Pol <mpol@mandrake.org> 0.8-1mdk
- from Quel Qun <kelk1@hotmail.com>
    - 0.8
    - buildrequires

* Thu Sep 04 2003 Marcel Pol <mpol@gmx.net> 0.6-1mdk
- 0.6

* Wed Jun 11 2003 Marcel Pol <mpol@gmx.net> 0.4-2mdk
- requires libxslt-devel (Michael Reinsch)
- parallel make breaks netdocs.zip

* Sun Jun 08 2003 Marcel Pol <mpol@gmx.net> 0.4-1mdk
- initial Mandrake rpm.
